class Wish < ActiveRecord::Base
  belongs_to :customer
  belongs_to :need

  mount_uploader :devis,  WishDevisUploader

  validates :note, presence: true, if: "!devis?"
  validates :need, :presence => true
  validates :customer, :presence => true
end
