class CreateCustomers < ActiveRecord::Migration
  def change
    create_table :customers do |t|
      t.integer :parent_id
      t.string :parent_code
      t.string :parent_at_create
      t.boolean :archived
      t.boolean :enabled
      t.string :username
      t.string :name
      t.string :firstname
      t.string :organisation
      t.string :siret
      t.string :tva_number
      t.text :bio
      t.string :avatar
      t.string :localisation
      t.boolean :pro, :default => false
      t.string :token
      t.string :mlm_token
      
      t.string :address
      t.string :address2
      t.string :cp
      t.string :city
      t.string :country
      t.string :phone
      
      t.text :attentes
      
      t.text :suggests
      t.text :need_1
      t.text :need_2
      t.text :need_3
      t.integer :conseil_techniques
      t.integer :conseil_juridiques
      t.integer :conseil_gestion
      
      t.integer :courtage_gros
      t.integer :courtage_energie
      t.integer :courtage_info
      t.integer :courtage_pret
      t.integer :courtage_presta
      t.integer :courtage_autres
      
      
    
      

      ## Database authenticatable
      t.string :email,              :null => false, :default => ""
      t.string :password_digest, :null => false, :default => ""

      ## Recoverable
      t.string   :reset_password_token
      t.datetime :reset_password_sent_at

      ## Rememberable
      t.datetime :remember_created_at

      ## Trackable
      t.integer  :sign_in_count, :default => 0
      t.datetime :current_sign_in_at
      t.datetime :last_sign_in_at
      t.string   :current_sign_in_ip
      t.string   :last_sign_in_ip
      
      t.boolean :lock
      t.datetime :locked_at

      t.timestamps null: false
    end
  end
end
